Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction/GTPMultipleCausticRefraction.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction/GTPMultipleCausticRefraction.material	(revision 2134)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction/GTPMultipleCausticRefraction.material	(revision 2628)
@@ -58,5 +58,5 @@
      param_named_auto Proj           projection_matrix
      param_named PhotonMapResolution float 64
-     param_named WorldSize float 0.002
+     param_named WorldSize float 0.02
    }
    fragment_program_ref GTP/Caustic/CauCube_Triangles_PS
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2442)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2628)
@@ -28,8 +28,8 @@
 	{
 			
-			// RenderTechnique CausticReceiver
-			// {
-			//	max_caster_count	1					
-			// }
+			 RenderTechnique CausticReceiver
+			 {
+				max_caster_count	1					
+			 }
 			 RenderTechnique DepthShadowReceiver
 			 {
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/moria.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/moria.material	(revision 2458)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/moria.material	(revision 2628)
@@ -62,6 +62,6 @@
    			  param_named_auto lightColor1 light_diffuse_colour 0
    			  param_named_auto lightColor2 light_diffuse_colour 1
-   			  param_named specularity float 20
-   			  param_named specularColor float4 0.2 0.2 0.2 0.2   			  
+   			  param_named specularity float 1
+   			  param_named specularColor float4 0.2 0.2 0.2 0.2   			     			   
    			}
    			texture_unit tile_texture
Index: GTP/trunk/App/Demos/Illum/Ogre/src/Moria/scripts/Moria.7.10.vcproj
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/Moria/scripts/Moria.7.10.vcproj	(revision 2491)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/Moria/scripts/Moria.7.10.vcproj	(revision 2628)
@@ -102,5 +102,5 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib IllumModule_Ogre.lib IllumModule.lib NxOgre.lib"
+				AdditionalDependencies="OgreMain.lib IllumModule_Ogre.lib IllumModule.lib NxOgre.lib GeoLodLibraryDLL.lib"
 				OutputFile="$(OutDir)/Moria.exe"
 				LinkIncremental="1"
Index: GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h	(revision 2277)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h	(revision 2628)
@@ -32,5 +32,5 @@
 
 float worldSizeVar = 0.002;
-float refIndex = 0.995;
+float refIndex = 0.8;
 int scene = 1;
 FrameCapture* capture;
@@ -39,6 +39,6 @@
 bool useCauInt = true;
 
-int currentMaterial = 0;
-int currentObject = 1;
+int currentMaterial = 2;
+int currentObject = 3;
 String objectNames[] = {String("sphere.mesh"),
                         String("teapot.mesh"),
@@ -127,5 +127,5 @@
 			worldSizeVar -= 0.002;
 			if(worldSizeVar < 0.002)worldSizeVar = 0.002;
-			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/MultiBounce/CauCube_Trianglesobject_SE_0_clone");
+			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/MultiBounce/CauCube_Triangles_clone_object_SE_0");
 			if(!mat.isNull())
 			{
@@ -137,5 +137,5 @@
         {
 			worldSizeVar += 0.002;
-			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/MultiBounce/CauCube_Trianglesobject_SE_0_clone");
+			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/MultiBounce/CauCube_Triangles_clone_object_SE_0");
 			if(!mat.isNull())
 			{
@@ -148,5 +148,5 @@
 			useCauInt = !useCauInt;
 
-			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/MultiBounce/CauCube_Trianglesobject_SE_0_clone");
+			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/MultiBounce/CauCube_Triangles_clone_object_SE_0");
 			if(!mat.isNull())
 			{
@@ -176,5 +176,5 @@
 		if (mInputDevice->isKeyDown(KC_J))
         {			
-			refIndex -= 0.001;
+			refIndex -= 0.01;
 
 			MaterialPtr mat1 = MaterialManager::getSingleton().getByName(materialNames[currentMaterial]+"_clone_object_SE_0");
@@ -194,5 +194,5 @@
 		if (mInputDevice->isKeyDown(KC_K))
         {
-			refIndex += 0.001;
+			refIndex += 0.01;
 			
 			MaterialPtr mat1 = MaterialManager::getSingleton().getByName(materialNames[currentMaterial]+"_clone_object_SE_0");
@@ -505,5 +505,5 @@
 
 		mSceneMgr->setShadowTechnique(SHADOWTYPE_NONE);
-	
+/*	
 		Light* redLight1 = mSceneMgr->createLight("RedLight1");
 		redLight1->setType(Light::LT_POINT);
@@ -523,5 +523,5 @@
 		greenLightNode1->setPosition(1.312,1.313,0);
 		greenLightNode1->attachObject(greenLight1); 
-
+*/
 		Light* mainBlueLight = mSceneMgr->createLight("MainBlueLight");
 		mainBlueLight->setType(Light::LT_SPOTLIGHT);
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Release/resources.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Release/resources.cfg	(revision 2480)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Release/resources.cfg	(revision 2628)
@@ -18,4 +18,7 @@
 Zip=../../Media/packs/smokealphaclip.zip
 
+[GTP_MoriaScene]
+FileSystem=../../Media/MoriaScene
+FileSystem=../../Media/MoriaScene/prm
 
 [GTP_SpaceStation]
@@ -23,7 +26,7 @@
 FileSystem=../../Media/Station/PRM
 
-[GTP_Moria]
-FileSystem=../../Media/MORIA
-FileSystem=../../Media/MORIA/PRM
+#[GTP_Moria]
+#FileSystem=../../Media/MORIA
+#FileSystem=../../Media/MORIA/PRM
 
 [GTP_Demo_Towers]
@@ -66,6 +69,6 @@
 FileSystem=../../Media/materials/GTPAdvancedEnvMap/multibounce/multipleRefraction
 
-#[GTP_MultipleCausticRefraction]
-#FileSystem=../../Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction
+[GTP_MultipleCausticRefraction]
+FileSystem=../../Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction
 
 [GTP_MultipleReflection_MinMax]
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Release/ogre.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Release/ogre.cfg	(revision 2550)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Release/ogre.cfg	(revision 2628)
@@ -6,5 +6,5 @@
 Floating-point mode=Consistent
 Full Screen=No
-Rendering Device=NVIDIA GeForce 6800 GT
+Rendering Device=NVIDIA GeForce 7900 GT/GTO
 VSync=No
-Video Mode=800 x 600 @ 16-bit colour
+Video Mode=800 x 600 @ 32-bit colour
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/resources.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/resources.cfg	(revision 2480)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/resources.cfg	(revision 2628)
@@ -66,6 +66,6 @@
 FileSystem=../../Media/materials/GTPAdvancedEnvMap/multibounce/multipleRefraction
 
-#[GTP_MultipleCausticRefraction]
-#FileSystem=../../Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction
+[GTP_MultipleCausticRefraction]
+FileSystem=../../Media/materials/GTPAdvancedEnvMap/multibounce/multipleCausticRefraction
 
 [GTP_MultipleReflection_MinMax]
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/ogre.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/ogre.cfg	(revision 2550)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/ogre.cfg	(revision 2628)
@@ -6,5 +6,5 @@
 Floating-point mode=Fastest
 Full Screen=No
-Rendering Device=NVIDIA GeForce 6800 GT
+Rendering Device=NVIDIA GeForce 7900 GT/GTO
 VSync=No
 Video Mode=640 x 480 @ 32-bit colour
